Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.io
Class FileOutputSynapse

    java.lang.Object
      org.joone.engine.Synapse
          org.joone.io.StreamOutputSynapse
              org.joone.io.FileOutputSynapse

All Implemented Interfaces:
  java.io.Serializable, InputPatternListener, Learnable, LearnableSynapse, NeuralElement, OutputPatternListener, Inspectable, PlugInListener

    public class FileOutputSynapse

extends StreamOutputSynapse

See Also:
  Serialized Form

Field Summary
`protected java.io.PrintWriter` | `printer`

Fields inherited from class org.joone.io.StreamOutputSynapse
`fifo, nextPlugIn`

Fields inherited from class org.joone.engine.Synapse
`array, b_pattern, bitems, bouts, count, enabled, fwdLock, inps, items, learnable, m_batch, m_pattern, myLearner, notFirstTime, notFirstTimeB, outs, revLock`

Constructor Summary
`FileOutputSynapse()`

Method Summary
`java.util.TreeSet` | `check()` Base for check messages.
`void` | `flush()`
`java.lang.String` | `getFileName()` Inserire qui la descrizione del metodo.
`boolean` | `isAppend()` Getter for property append.
`void` | `setAppend(boolean append)` Setter for property append.
`void` | `setFileName(java.lang.String fn)`
`void` | `write(Pattern pattern)` Writes to the printer object.

Methods inherited from class org.joone.io.StreamOutputSynapse
`addPlugIn, backward, dataChanged, forward, fwdPut, getFifo, getPlugIn, getSeparator, isBuffered, removeAllPlugIns, revGet, setArrays, setBuffered, setDimensions, setPlugIn, setSeparator`

Methods inherited from class org.joone.engine.Synapse
`addNoise, canCountSteps, fwdGet, getFwdLock, getIgnoreBefore, getInputDimension, getLearner, getLearningRate, getMomentum, getMonitor, getName, getOutputDimension, getRevLock, getWeights, init, initLearner, InspectableTitle, Inspections, isEnabled, isInputFull, isLoopBack, isOutputFull, randomize, readResolve, reset, revPut, setEnabled, setIgnoreBefore, setInputDimension, setInputFull, setLearningRate, setLoopBack, setMomentum, setMonitor, setName, setOutputDimension, setOutputFull, setWeights`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### printer

    protected transient java.io.PrintWriter printer

Constructor Detail

### FileOutputSynapse

    public FileOutputSynapse()

Method Detail

### write

    public void write(Pattern pattern)

  Writes to the printer object.

  Specified by:
    `write` in class `StreamOutputSynapse`

### getFileName

    public java.lang.String getFileName()

  Inserire qui la descrizione del metodo. Data di creazione: (23/04/00 0.58.30)

  Returns:
    java.lang.String

### setFileName

    public void setFileName(java.lang.String fn)

### flush

    public void flush()

### check

    public java.util.TreeSet check()

  Description copied from class: `Synapse`
  Base for check messages. Subclasses should call this method from thier own check method.

  Specified by:
    `check` in interface `NeuralElement`
  Overrides:
    `check` in class `StreamOutputSynapse`
  Returns:
    validation errors.
  See Also:
    `InputPaternListener`, `OutputPaternListener`

### isAppend

    public boolean isAppend()

  Getter for property append.

  Returns:
    Value of property append.

### setAppend

    public void setAppend(boolean append)

  Setter for property append.

  Parameters:
    `append` - if `true`, then bytes will be written to the end of the file rather than the beginning

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net